Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionErrors

    java.lang.Object
      |
      +--org.apache.struts.action.ActionMessages
            |
            +--org.apache.struts.action.ActionErrors

All Implemented Interfaces:
  java.io.Serializable

public class ActionErrors
extends ActionMessages
implements java.io.Serializable

A class that encapsulates the error messages being reported by the `validate()` method of an `ActionForm`. Validation errors are either global to the entire `ActionForm` bean they are associated with, or they are specific to a particular bean property (and, therefore, a particular input field on the corresponding form).

Each individual error is described by an `ActionError` object, which contains a message key (to be looked up in an appropriate message resources database), and up to four placeholder arguments used for parametric substitution in the resulting message.

IMPLEMENTATION NOTE - It is assumed that these objects are created and manipulated only within the context of a single thread. Therefore, no synchronization is required for access to internal collections.

Version:
  $Revision: 1.1 $ $Date: 2003/08/22 08:14:18 $
Author:
  David Geary, Craig R. McClanahan
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.struts.action.ActionMessages
`ActionMessages.ActionMessageItem`

Field Summary
`static java.lang.String` | `GLOBAL_ERROR` The "property name" marker to use for global errors, as opposed to those related to a specific property.

Fields inherited from class org.apache.struts.action.ActionMessages
`GLOBAL_MESSAGE, iCount, messages`

Constructor Summary
`ActionErrors()` Create an empty `ActionErrors` object.
`ActionErrors(ActionErrors messages)` Create an `ActionErrors` object initialized with the given messages.

Method Summary
`void` | `add(java.lang.String property, ActionError error)` Add an error message to the set of errors for the specified property.

Methods inherited from class org.apache.struts.action.ActionMessages
`add, add, clear, empty, get, get, isEmpty, properties, size, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_ERROR

    public static final java.lang.String GLOBAL_ERROR

  The "property name" marker to use for global errors, as opposed to those related to a specific property.

  See Also:
    Constant Field Values

Constructor Detail

### ActionErrors

    public ActionErrors()

  Create an empty `ActionErrors` object.

### ActionErrors

    public ActionErrors(ActionErrors messages)

  Create an `ActionErrors` object initialized with the given messages.

Parameters:
  `messages` - The messages to be initially added to this object. This parameter can be `null`.
Since:
  Struts 1.1

Method Detail

### add

    public void add(java.lang.String property,
                    ActionError error)

  Add an error message to the set of errors for the specified property.

  Parameters:
    `property` - Property name (or ActionErrors.GLOBAL_ERROR)
    `error` - The error message to be added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation